i am using this code to get coordinates of objects on my drawing, It works if i am getting the coordinates of a polylien for example if i set ole as acadlwpolyline but i dont know how to reference the OLE Frame with my excel sheet pasted in to cad. I want to get the coordinates so i can scale it appropriately.

Sub getSpec()
Dim ent As AcadEntity, ant As OLEObjects, ole As Object, coord As Variant
For Each ent In ThisDrawing.ModelSpace
Set ole = ent
coord = ent.Coordinates
ShowCoord coord
Next

End Sub
Private Sub ShowCoord(coord As Variant)
Dim i As Integer
Dim x As Double
Dim y As Double
Dim index As Integer
Dim coordString As String
While i <= UBound(coord)
x = coord(i)
y = coord(i + 1)

coordString = coordString & "Vertex(" & index & ")->" & _
vbCr & "x=" & x & vbCr & "y=" & y & vbCr & vbCr

i = i + 2
index = index + 1
Wend

MsgBox coordString
End Sub